// z_liquidui will be the flag to determine if the layout should display or not

// if the user is entering the screen for the first time, they should see the LiquidUI layout
if(z_liquidui == void 0){
	z_liquidui = true;
}

// if the flag is true, display LiquidUI layout
if(z_liquidui && _transaction == "VA02"){
	pushbutton([TOOLBAR],"@BG@Switch  To SAP", "?", {"process":toggleLiquidUI});
	
	image("P[Sales]+[3,90]", "logo.png");
	
	// delete unwanted buttons
	del("P[Display document flow]");
	del("P[Status overview]");
	del("P[Propose items]");
	del("P[Display sales summary]");
	del("P[Display sold-to party]");
	del("P[Dangerous goods check]");
	del("P[Header output preview]");
	del("P[Reject document]");
	del("P[List of sales orders]");
	
	// delete unwated tabs
	del("P[Item detail]");
	del("P[Item overview]");
	del("P[Ordering party]");
	del("P[Procurement]");
	del("P[Shipping]");
	del("P[Reason for rejection]");
}
// else the regular SAP Layout should do
else if(!z_liquidui && _transaction == "VA02"){
	pushbutton([TOOLBAR],"@BF@Switch  To LiquidUI", "?", {"process":toggleLiquidUI});
}

// Function to toggle the flag 
function toggleLiquidUI(){
	onscreen 'SAPMV45A.4001'
		z_liquidui = !z_liquidui;
		enter("?");
}